BEGIN ~TCBINKY~

IF ~True()~ THEN BEGIN 0
  SAY ~Oh, how dreadfully unposh you all are!  I mean, honestly, this is a carnival, not a gladiator's ring...~
  IF ~~ THEN REPLY ~My name's <GABBER>, what's yours?~ GOTO 1
  IF ~~ THEN REPLY ~What a fabulous carnival!~ GOTO 2
END

IF ~~ THEN BEGIN 1
  SAY ~Mon namen est <GABBER>, vott iss yorse?~
  IF ~~ THEN REPLY ~Ho, you'll not get away with that for long!~ GOTO 3
  IF ~~ THEN REPLY ~Are you mocking me?~ GOTO 4
END

IF ~~ THEN BEGIN 2
  SAY ~What a fahbulous carnival, dahling!~
  IF ~~ THEN REPLY ~Ho, you'll not get away with that for long!~ GOTO 3
  IF ~~ THEN REPLY ~Are you mocking me?~ GOTO 4
END

IF ~~ THEN BEGIN 3
  SAY ~Ho, ye'll not git away wit' dat fer long!~
  IF ~~ THEN REPLY ~Okay, now that's enough!~ GOTO 5
  IF ~~ THEN REPLY ~That's it, you got this one coming, kid!~ GOTO 6
END

IF ~~ THEN BEGIN 4
  SAY ~Dost thou mockest me?  Away with you, beggar!~
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 5
  SAY ~Hokey-dokey, like dat's enuff now, eh?~
  IF ~~ THEN REPLY ~That's it!  You are dead meat!~ GOTO 6
  IF ~~ THEN REPLY ~What a fahbulous carnival, dahling...~ GOTO 2
END

IF ~~ THEN BEGIN 6
  SAY ~Eeek!  Run for your lives!  Run for your lives!~
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END
